package com.miaxis.disease.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 疾病部位对象 disease_part
 *
 * @author miaxis
 * @date 2023-11-24
 */
@Data
@TableName("disease_part")
@ApiModel(value = "DiseasePart", description = "疾病部位对象 disease_part")
public class DiseasePart {
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId(value = "id")
    @ApiModelProperty(value = "ID")
    private Long id;

    /** 部位 */
    @Excel(name = "部位")
    @TableField("part")
    @ApiModelProperty(value = "部位")
    private String part;

    /** 1男 2女 3不限 */
    @Excel(name = "1男 2女 3不限")
    @TableField("sex")
    @ApiModelProperty(value = "1男 2女 3不限")
    private Integer sex;

    /** 症状 */
    @Excel(name = "症状")
    @TableField("symp")
    @ApiModelProperty(value = "症状")
    private String symp;

    /** 1轻症、2严重 */
    @Excel(name = "1轻症、2严重")
    @TableField("degree")
    @ApiModelProperty(value = "1轻症、2严重")
    private String degree;


}
