package com.miaxis.number.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.number.mapper.NumberYunMapper;
import com.miaxis.number.domain.NumberYun;
import com.miaxis.number.service.INumberYunService;

/**
 * 数字运势Service业务层处理
 *
 * @author miaxis
 * @date 2023-11-23
 */
@Service
public class NumberYunServiceImpl extends ServiceImpl<NumberYunMapper, NumberYun> implements INumberYunService {
    @Autowired
    private NumberYunMapper numberYunMapper;

    /**
     * 查询数字运势列表
     *
     * @param numberYun 数字运势
     * @return 数字运势
     */
    @Override
    public List<NumberYun> selectNumberYunList(NumberYun numberYun){
        return numberYunMapper.selectNumberYunList(numberYun);
    }


    @Override
    public List<NumberYun> getNumberYunByIds(List<String> ids) {
        return numberYunMapper.getNumberYunByIds(ids);
    }
}
